Unify and manage your data

List hierarchy instances for an object

Learn more about how to use the List hierarchy instances API to return the hierarchy instances that include an object.

Use the List Hierarchy instances to retrieve an aggregated list of hierarchy instances in which a specified object participates. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/objects/{entityId}/instances

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /objects/{entityId}/instances
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
instanceIdStringThe hierarchy instance ID. This value consists of the hierarchy ID and the version ID.
typeStringThe hierarchy type name as defined in the business configuration.
labelStringThe visible name of the hierarchy instance.
hasVersioningBooleanIndicates whether the hierarchy instance belongs to a versioned hierarchy.

Example response

The following example shows the response body.

[
  {
    "instanceId": "prd.version1",
    "type": "configuration/hierarchyTypes/TypeProduct",
    "label": "Product Hierarchy - Version 1",
    "hasVersioning": true
  },
  {
    "instanceId": "prd.version2",
    "type": "configuration/hierarchyTypes/TypeProduct",
    "label": "Product Hierarchy - Version 2",
    "hasVersioning": true
  },
  {
    "instanceId": "obj.1",
    "type": "configuration/hierarchyTypes/TypeObjects",
    "label": "Object Hierarchy",
    "hasVersioning": false
  }
]